:root {
	--tile-custom-gap: 1.5em !important;
}

.hero-develop {
	max-width: 1400px;
	padding: 0 1em;
}

@media only screen and (max-width: 734px) {
	.hero-develop {
		margin-top: 1em;
	}
}

.bg-xcode {
	background-color: #f5f5f7;
}
.bg-swift {
	background-color: #fbf2e8;
}
.bg-swift-frameworks {
	background-color: #eaf2fa;
}

.icon-topic {
	margin-bottom: 1em;
	display: block;
}

.tile-full .tile-content > img.icon-featured {
	align-self: center;
	margin: 0 auto;
	width: 96px;
}

.icon-resource {
	font-size: 28px;
	margin-top: 2em;
}

/* === Featured Technologies === */
.section-featured a.tile-link:hover .link {
	text-decoration: underline;
}



/* === TECH HIGHLIGHTS === */
.section-tech-highlights .grid-item.bg-xcode,
.section-tech-highlights .grid-item.bg-swift {
	padding: 64px;
	min-height: 450px;
	display: flex;
	flex-direction: column;
}

.section-tech-highlights .grid-item .section-content {
	width: 100%;
	max-width: 380px;
}

@media only screen and (max-width: 734px) {
	.section-tech-highlights .grid-item.bg-xcode,
	.section-tech-highlights .grid-item.bg-swift {
		padding: 64px 0;
	}

	.section-tech-highlights .grid-item .section-content {
		width: 87.5%;
		max-width: inherit;
		margin: 0 auto;
	}
}

.section-tech-highlights .grid.grid-gutterless + .grid.grid-gutterless {
	margin-top: 24px;
}

/* ========== Swift Frameworks ========== */

section.section-swift-frameworks {
	margin-top: 24px;
}

.section-tech-highlights .grid-item.bg-swift-frameworks {
	padding: 64px;
	display: flex;
	flex-direction: column;
}

.swift-frameworks-grid {
	display: grid;
	gap: 0;
	place-items: center;
	grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
}

@media only screen and (max-width: 573px) {
	.swift-frameworks-grid {
		grid-template-columns: repeat(1, 1fr);
	}
}

.swift-frameworks-grid img {
	display: block;
	height: 96px;
	width: 96px;
	margin: 0 auto 1em;
}

/* === DARK MODE === */
body[data-color-scheme="dark"] .bg-xcode {
	background-color: var(--fill-secondary-alt);
}
body[data-color-scheme="dark"] .bg-swift {
	background: #590d07;
	background: linear-gradient(20deg, #590d07 0%, #f38800 100%);
}
body[data-color-scheme="dark"] .bg-swift-frameworks {
	background: #060d27;
	background: linear-gradient(20deg, #060d27 0%, #0a60d8 100%);
}
body[data-color-scheme="dark"] .bg-gradient-alt {
	background: linear-gradient(to bottom, var(--fill-secondary-alt) 0%, #000000 100%);
}
body[data-color-scheme="dark"] .section.section-platforms {
	background: #306668;
}
.link-theme-alt a {
	color: var(--glyph-gray-secondary-alt);
	font-weight: 400;
}

.link-theme-alt li {
	margin-bottom: 0.5em !important;
	line-height: 1.4;
}

.section-resources h4 {
	margin-bottom: 1.2em;
	font-weight: 600;
}

/* === GRID === */
section.section {
	padding-top: 6em;
	padding-bottom: 6em;
}

section.section.section-header {
	padding-top: 2em;
	padding-bottom: 0em;
}

section.section.section-tech-highlights {
	padding-top: 2em;
	padding-bottom: 0em;
}

section.section.section-featured {
	margin-top: 24px;
}

@media only screen and (max-width: 734px) {
	section.section {
		padding-top: 4em;
		padding-bottom: 4em;
	}

	section.section.section-header {
		padding-top: 2em;
		padding-bottom: 0em;
	}

	section.section.section-tech-highlights {
		padding-bottom: 0em;
	}
}

@media only screen and (max-width: 734px) {
	#main section.section-resources .section-content .row > .column {
		padding: 0;
	}
}
